Package ru.bitel.bgbilling.kernel.config.common.bean

# Class ConfigDataDto

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.config.common.bean.ConfigDataDto

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ConfigDataDto extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigDataDto()`
  `ConfigDataDto(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getLastEdited()`
  `String`
  `getUserName()`
  `boolean`
  `isActive()`
  `ConfigDataDto`
  `setActive(boolean active)`
  `ConfigDataDto`
  `setId(int id)`
  Устанавливает id объекта
  `ConfigDataDto`
  `setLastEdited(Date lastEdited)`
  `ConfigDataDto`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `ConfigDataDto`
  `setUserName(String userName)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ConfigDataDto

    public ConfigDataDto()

  - ### ConfigDataDto

    public ConfigDataDto(int id, String title)

- ## Method Details

  - ### getLastEdited

    public Date getLastEdited()

  - ### getUserName

    public String getUserName()

  - ### isActive

    public boolean isActive()

  - ### setActive

    public ConfigDataDto setActive(boolean active)

  - ### setId

    public ConfigDataDto setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setLastEdited

    public ConfigDataDto setLastEdited(Date lastEdited)

  - ### setTitle

    public ConfigDataDto setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setUserName

    public ConfigDataDto setUserName(String userName)